Bug 442818 - bzflag segfaults on startup
bzflag segfaults on startup
Product: Fedora
Classification: Fedora
Component: bzflag (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: Reopened
: 447032 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-04-16 20:23 EDT by Tony Biondo
Modified: 2008-07-23 03:19 EDT (History)
8 users (show)

See Also:
Fixed In Version: 2.0.12-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-23 03:08:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
backtrace w/debuginfo (9.22 KB, text/html)
2008-04-16 21:51 EDT, Jon Stanley
no flags Details

  None (edit)
Description Tony Biondo 2008-04-16 20:23:37 EDT
Description of problem:
bzflag segfaults upon startup.
[tonyb@tonybox ~]$ rpm -qi bzflag
Name        : bzflag                       Relocations: (not relocatable)
Version     : 2.0.10                            Vendor: Fedora Project
Release     : 6.fc9                         Build Date: Fri 22 Feb 2008 03:48:42

How reproducible: 
Every time for me tested on 2 different computers

Steps to Reproduce:
1.Install bzflag
2.run 'bzflag'
Actual results:
Screen flashes black, Segmentation Fault follows.

Expected results:
BZflag runs.

Additional info:
Comment 1 Jon Stanley 2008-04-16 21:51:40 EDT
Created attachment 302689 [details]
backtrace w/debuginfo

reproduced, here's a backtrace w/debug info
Comment 2 Bug Zapper 2008-05-14 05:33:46 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 3 Nils Philippsen 2008-05-14 15:59:53 EDT

*** This bug has been marked as a duplicate of 443930 ***
Comment 4 Nils Philippsen 2008-05-19 05:53:36 EDT
*** Bug 447032 has been marked as a duplicate of this bug. ***
Comment 5 Chris Adams 2008-05-30 23:42:16 EDT
I don't think this is actually a duplicate of 443930; that appears to be a Mesa
bug, but this appears to actually be a bzflag bug (the stack trace I get,
similar to the trace already added here, is entirely within bzflag and looks
nothing like the traces in 443930).

I've tried the mesa update listed in 443930 but bzflag still crashes for me.
Comment 6 Brett Pemberton 2008-06-19 03:26:32 EDT
I agree, this is definitely not a duplicate of either of the other two bugs
listed here.

I get a similar backtrace, and would love to get this working on a stock Fedora 9.
Comment 7 Paul Johnson 2008-07-07 15:04:40 EDT
I've seen the same thing.  CPU = Intel Core2 Quad, video = Nvidia 8600.

[paj@eiffel ~]$ uname -a
Linux eiffel.house #1 SMP Fri Jun 27 15:58:30 EDT 2008
x86_64 x86_64 x86_64 GNU/Linux

Also, I've managed to run it on a couple of occasions.  I don't know what makes
the difference, but when it does run all the menu and configuration text is
left-justified against the centre of the screen, and where there are two columns
they appear over-laid.  Sorry I can't get a screenshot.  However I guess that
this is also something to do with string length coming up zero.  Uninitialised
Comment 8 Vasile Chelban 2008-07-07 15:32:35 EDT
just rebuild bzflag 2.0.12 (http://my.bzflag.org/w/BZFlag_2.0.12) using 
slightly modified fedora spec file (http://vasile.fedoramd.org/bzflag.spec - 
only thing changed is plugin patch removed). BZflag does not crash at startup.
 Packages can be downloaded from http://repo.fedoramd.org/fmd/fedora/9/
Comment 9 Nils Philippsen 2008-07-08 11:24:27 EDT
I was already working on that, but I seem to have run into bug #448278 in the
meantime. Version 2.0.12 should hit updates-testing soon so that those of you
with other graphics hardware can test it.
Comment 10 Fedora Update System 2008-07-08 12:09:25 EDT
bzflag-2.0.12-1.fc9 has been submitted as an update for Fedora 9
Comment 11 Fedora Update System 2008-07-08 12:09:30 EDT
bzflag-2.0.12-1.fc8 has been submitted as an update for Fedora 8
Comment 12 Fedora Update System 2008-07-08 22:41:52 EDT
bzflag-2.0.12-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bzflag'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-6182
Comment 13 Fedora Update System 2008-07-23 03:08:46 EDT
bzflag-2.0.12-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2008-07-23 03:19:10 EDT
bzflag-2.0.12-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.